Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1053855 - [abrt] file-roller: g_list_foreach(): file-roller killed by SIGABRT
Summary: [abrt] file-roller: g_list_foreach(): file-roller killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ed31f11b56981b1270ef49ed89f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-15 20:42 UTC by Niko
Modified: 2015-06-29 14:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:29:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (35.71 KB, text/plain)
2014-01-15 20:43 UTC, Niko
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-15 20:43 UTC, Niko
no flags Details
File: core_backtrace (26.51 KB, text/plain)
2014-01-15 20:43 UTC, Niko
no flags Details
File: dso_list (10.44 KB, text/plain)
2014-01-15 20:43 UTC, Niko
no flags Details
File: environ (1.38 KB, text/plain)
2014-01-15 20:43 UTC, Niko
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-15 20:43 UTC, Niko
no flags Details
File: maps (57.97 KB, text/plain)
2014-01-15 20:43 UTC, Niko
no flags Details
File: open_fds (1.58 KB, text/plain)
2014-01-15 20:43 UTC, Niko
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2014-01-15 20:43 UTC, Niko
no flags Details
File: var_log_messages (1.41 KB, text/plain)
2014-01-15 20:43 UTC, Niko
no flags Details

Description Niko 2014-01-15 20:42:56 UTC
Description of problem:
Select files from different directories in nautilus tree view an try to compress them.

Version-Release number of selected component:
file-roller-3.10.2.1-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        file-roller --notify --default-dir=file:///home/niko/Uni/Fachschaft/Klausurprotokolle/LinAlgI/Klausur%20A/build --add file:///home/niko/Uni/Fachschaft/Klausurprotokolle/LinAlgI/Klausur%20A/build/LinAlgI-WS13-A.pdf file:///home/niko/Uni/Fachschaft/Klausurprotokolle/LinAlgI/Klausur%20A/LinAlgI-WS13-A.tex file:///home/niko/Uni/Fachschaft/Klausurprotokolle/LinAlgI/Klausur%20B/build/LinAlgI-WS13-B.pdf file:///home/niko/Uni/Fachschaft/Klausurprotokolle/LinAlgI/Klausur%20B/LinAlgI-WS13-B.tex
crash_function: g_list_foreach
executable:     /usr/bin/file-roller
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 g_list_foreach at glist.c:949
 #7 _g_string_list_free at glib-utils.c:447
 #8 fr_archive_add_dropped_items at fr-archive.c:1881
 #9 fr_window_archive_add_dropped_items at fr-window.c:6354
 #10 _archive_operation_completed at fr-window.c:3145
 #11 fr_window_create_archive_and_continue at fr-window.c:3963
 #12 dialog_response_cb at dlg-batch-add.c:49
 #17 _g_closure_invoke_va at gclosure.c:840
 #20 gtk_real_button_released at gtkbutton.c:2106
 #25 gtk_button_button_release at gtkbutton.c:1938

Comment 1 Niko 2014-01-15 20:43:01 UTC
Created attachment 850684 [details]
File: backtrace

Comment 2 Niko 2014-01-15 20:43:03 UTC
Created attachment 850685 [details]
File: cgroup

Comment 3 Niko 2014-01-15 20:43:06 UTC
Created attachment 850686 [details]
File: core_backtrace

Comment 4 Niko 2014-01-15 20:43:08 UTC
Created attachment 850687 [details]
File: dso_list

Comment 5 Niko 2014-01-15 20:43:11 UTC
Created attachment 850688 [details]
File: environ

Comment 6 Niko 2014-01-15 20:43:13 UTC
Created attachment 850689 [details]
File: limits

Comment 7 Niko 2014-01-15 20:43:16 UTC
Created attachment 850690 [details]
File: maps

Comment 8 Niko 2014-01-15 20:43:20 UTC
Created attachment 850691 [details]
File: open_fds

Comment 9 Niko 2014-01-15 20:43:22 UTC
Created attachment 850692 [details]
File: proc_pid_status

Comment 10 Niko 2014-01-15 20:43:25 UTC
Created attachment 850693 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 10:31:15 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 14:29:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.